This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 121982 - selinux seems not to be disabled for rpm!?
selinux seems not to be disabled for rpm!?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 10:46 EDT by Ralph Mengen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 13:52:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Messages from selinux when using rpm (146.04 KB, text/plain)
2004-04-29 10:47 EDT, Ralph Mengen
no flags Details

  None (edit)
Description Ralph Mengen 2004-04-29 10:46:07 EDT
Description of problem:
I installed a fresh FC2 test3 (NO update). Everything is ok and 'cat
/etc/sysconfig/selinux' gives:
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcinfg - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - No SELinux policy is loaded.
SELINUX=disabled

So I thought SELINUX is disabled (as stated in the announcement of
test3), but when I downloaded some RPMs and tried to install them I
got many errors/warnings from the selinux-system like

/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:default_t on line number 39
/etc/security/selinux/file_contexts:  invalid context
system_u:object_r:root_t on line number 44

(see the whole text in the attachment). When I boot with the cmd
'selinux=0' I received the error message 'cat:
/proc/self/attr/current: Invalid argument' while booting (which comes
from the '/etc/rc.sysinit') and the 'rpm -ivh ...' does work without
those messages.

So I wonder why SELINUX is not switched off when I use 'rpm'.

Version-Release number of selected component (if applicable):


How reproducible:
always after installing the system

Steps to Reproduce:
1. Install FC2 test3 (accepting all defaults)
2. get a RPM via FTP
3. rpm -ivh <file>.rpm
Comment 1 Ralph Mengen 2004-04-29 10:47:26 EDT
Created attachment 99788 [details]
Messages from selinux when using rpm
Comment 2 Ivo Sarak 2004-04-29 11:57:47 EDT
I made a FC2 Test3 install from scratch and dmesg is saying this:

Security Scaffold v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
There is already a security framework initialized, register_security
failed.
Failure registering capabilities with the kernel
selinux_register_security:  Registering secondary module capability
Capability LSM initialized

So is the SELinux disabled or not?
Comment 3 Ralph Mengen 2004-05-15 11:33:09 EDT
FYI:

Today I reinstalled FC2 Test3 + all newer packages from
rawhide/development and my problem is gone....

Note You need to log in before you can comment on or make changes to this bug.